Imported Upstream version 3.8.2
[platform/upstream/pygobject2.git] / gi / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 VPATH = @srcdir@
19 am__make_dryrun = \
20   { \
21     am__dry=no; \
22     case $$MAKEFLAGS in \
23       *\\[\ \   ]*) \
24         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
25           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
26       *) \
27         for am__flg in $$MAKEFLAGS; do \
28           case $$am__flg in \
29             *=*|--*) ;; \
30             *n*) am__dry=yes; break;; \
31           esac; \
32         done;; \
33     esac; \
34     test $$am__dry = yes; \
35   }
36 pkgdatadir = $(datadir)/@PACKAGE@
37 pkgincludedir = $(includedir)/@PACKAGE@
38 pkglibdir = $(libdir)/@PACKAGE@
39 pkglibexecdir = $(libexecdir)/@PACKAGE@
40 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
41 install_sh_DATA = $(install_sh) -c -m 644
42 install_sh_PROGRAM = $(install_sh) -c
43 install_sh_SCRIPT = $(install_sh) -c
44 INSTALL_HEADER = $(INSTALL_DATA)
45 transform = $(program_transform_name)
46 NORMAL_INSTALL = :
47 PRE_INSTALL = :
48 POST_INSTALL = :
49 NORMAL_UNINSTALL = :
50 PRE_UNINSTALL = :
51 POST_UNINSTALL = :
52 build_triplet = @build@
53 host_triplet = @host@
54 @OS_WIN32_TRUE@am__append_1 = \
55 @OS_WIN32_TRUE@ -no-undefined \
56 @OS_WIN32_TRUE@ -shrext ".pyd"
57
58 @ENABLE_CAIRO_TRUE@am__append_2 = _gi_cairo.la
59 subdir = gi
60 DIST_COMMON = $(pygi_PYTHON) $(srcdir)/Makefile.am \
61         $(srcdir)/Makefile.in
62 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
63 am__aclocal_m4_deps = $(top_srcdir)/m4/as-ac-expand.m4 \
64         $(top_srcdir)/m4/jhflags.m4 $(top_srcdir)/m4/libtool.m4 \
65         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
66         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
67         $(top_srcdir)/m4/python.m4 $(top_srcdir)/configure.ac
68 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
69         $(ACLOCAL_M4)
70 mkinstalldirs = $(install_sh) -d
71 CONFIG_HEADER = $(top_builddir)/config.h
72 CONFIG_CLEAN_FILES =
73 CONFIG_CLEAN_VPATH_FILES =
74 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
75 am__vpath_adj = case $$p in \
76     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
77     *) f=$$p;; \
78   esac;
79 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
80 am__install_max = 40
81 am__nobase_strip_setup = \
82   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
83 am__nobase_strip = \
84   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
85 am__nobase_list = $(am__nobase_strip_setup); \
86   for p in $$list; do echo "$$p $$p"; done | \
87   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
88   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
89     if (++n[$$2] == $(am__install_max)) \
90       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
91     END { for (dir in files) print dir, files[dir] }'
92 am__base_list = \
93   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
94   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
95 am__uninstall_files_from_dir = { \
96   test -z "$$files" \
97     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
98     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
99          $(am__cd) "$$dir" && rm -f $$files; }; \
100   }
101 am__installdirs = "$(DESTDIR)$(pygidir)" "$(DESTDIR)$(pygidir)"
102 LTLIBRARIES = $(pygi_LTLIBRARIES)
103 am__DEPENDENCIES_1 =
104 @OS_WIN32_TRUE@am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
105 _gi_la_DEPENDENCIES = $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_1) \
106         $(top_builddir)/gi/_glib/libpyglib-gi-2.0-@PYTHON_BASENAME@.la
107 am__gi_la_OBJECTS = _gi_la-pygi-repository.lo _gi_la-pygi-info.lo \
108         _gi_la-pygi-foreign.lo _gi_la-pygi-struct.lo \
109         _gi_la-pygi-source.lo _gi_la-pygi-argument.lo \
110         _gi_la-pygi-type.lo _gi_la-pygi-boxed.lo \
111         _gi_la-pygi-closure.lo _gi_la-pygi-ccallback.lo \
112         _gi_la-pygi-property.lo _gi_la-pygi-signal-closure.lo \
113         _gi_la-gimodule.lo _gi_la-pygi-invoke.lo _gi_la-pygi-cache.lo \
114         _gi_la-pygi-marshal-from-py.lo _gi_la-pygi-marshal-to-py.lo \
115         _gi_la-pygi-marshal-cleanup.lo
116 _gi_la_OBJECTS = $(am__gi_la_OBJECTS)
117 AM_V_lt = $(am__v_lt_@AM_V@)
118 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
119 am__v_lt_0 = --silent
120 _gi_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
121         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(_gi_la_CFLAGS) $(CFLAGS) \
122         $(_gi_la_LDFLAGS) $(LDFLAGS) -o $@
123 _gi_cairo_la_DEPENDENCIES = $(am__DEPENDENCIES_2) \
124         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
125 am__gi_cairo_la_OBJECTS = _gi_cairo_la-pygi-foreign-cairo.lo
126 _gi_cairo_la_OBJECTS = $(am__gi_cairo_la_OBJECTS)
127 _gi_cairo_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
128         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(_gi_cairo_la_CFLAGS) \
129         $(CFLAGS) $(_gi_cairo_la_LDFLAGS) $(LDFLAGS) -o $@
130 @ENABLE_CAIRO_TRUE@am__gi_cairo_la_rpath = -rpath $(pygidir)
131 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
132 depcomp = $(SHELL) $(top_srcdir)/depcomp
133 am__depfiles_maybe = depfiles
134 am__mv = mv -f
135 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
136         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
137 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
138         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
139         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
140         $(AM_CFLAGS) $(CFLAGS)
141 AM_V_CC = $(am__v_CC_@AM_V@)
142 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
143 am__v_CC_0 = @echo "  CC    " $@;
144 AM_V_at = $(am__v_at_@AM_V@)
145 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
146 am__v_at_0 = @
147 CCLD = $(CC)
148 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
149         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
150         $(AM_LDFLAGS) $(LDFLAGS) -o $@
151 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
152 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
153 am__v_CCLD_0 = @echo "  CCLD  " $@;
154 AM_V_GEN = $(am__v_GEN_@AM_V@)
155 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
156 am__v_GEN_0 = @echo "  GEN   " $@;
157 SOURCES = $(_gi_la_SOURCES) $(_gi_cairo_la_SOURCES)
158 DIST_SOURCES = $(_gi_la_SOURCES) $(_gi_cairo_la_SOURCES)
159 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
160         html-recursive info-recursive install-data-recursive \
161         install-dvi-recursive install-exec-recursive \
162         install-html-recursive install-info-recursive \
163         install-pdf-recursive install-ps-recursive install-recursive \
164         installcheck-recursive installdirs-recursive pdf-recursive \
165         ps-recursive uninstall-recursive
166 am__can_run_installinfo = \
167   case $$AM_UPDATE_INFO_DIR in \
168     n|no|NO) false;; \
169     *) (install-info --version) >/dev/null 2>&1;; \
170   esac
171 am__py_compile = PYTHON=$(PYTHON) $(SHELL) $(py_compile)
172 py_compile = $(top_srcdir)/py-compile
173 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
174   distclean-recursive maintainer-clean-recursive
175 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
176         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
177         distdir
178 ETAGS = etags
179 CTAGS = ctags
180 DIST_SUBDIRS = $(SUBDIRS)
181 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
182 am__relativize = \
183   dir0=`pwd`; \
184   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
185   sed_rest='s,^[^/]*/*,,'; \
186   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
187   sed_butlast='s,/*[^/]*$$,,'; \
188   while test -n "$$dir1"; do \
189     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
190     if test "$$first" != "."; then \
191       if test "$$first" = ".."; then \
192         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
193         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
194       else \
195         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
196         if test "$$first2" = "$$first"; then \
197           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
198         else \
199           dir2="../$$dir2"; \
200         fi; \
201         dir0="$$dir0"/"$$first"; \
202       fi; \
203     fi; \
204     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
205   done; \
206   reldir="$$dir2"
207 ACLOCAL = @ACLOCAL@
208 ACLOCAL_AMFLAGS = @ACLOCAL_AMFLAGS@
209 AMTAR = @AMTAR@
210 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
211 AR = @AR@
212 AS = @AS@
213 AUTOCONF = @AUTOCONF@
214 AUTOHEADER = @AUTOHEADER@
215 AUTOMAKE = @AUTOMAKE@
216 AWK = @AWK@
217 CAIRO_CFLAGS = @CAIRO_CFLAGS@
218 CAIRO_LIBS = @CAIRO_LIBS@
219 CC = @CC@
220 CCDEPMODE = @CCDEPMODE@
221 CFLAGS = @CFLAGS@
222 CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
223 CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
224 CODE_COVERAGE_LDFLAGS = @CODE_COVERAGE_LDFLAGS@
225 CPP = @CPP@
226 CPPFLAGS = @CPPFLAGS@
227 CYGPATH_W = @CYGPATH_W@
228 DATADIR = @DATADIR@
229 DEFS = @DEFS@
230 DEPDIR = @DEPDIR@
231 DLLTOOL = @DLLTOOL@
232 DSYMUTIL = @DSYMUTIL@
233 DUMPBIN = @DUMPBIN@
234 ECHO_C = @ECHO_C@
235 ECHO_N = @ECHO_N@
236 ECHO_T = @ECHO_T@
237 EGREP = @EGREP@
238 EXEEXT = @EXEEXT@
239 FFI_CFLAGS = @FFI_CFLAGS@
240 FFI_LIBS = @FFI_LIBS@
241 FGREP = @FGREP@
242 GENHTML = @GENHTML@
243 GIO_CFLAGS = @GIO_CFLAGS@
244 GIO_LIBS = @GIO_LIBS@
245 GI_CFLAGS = @GI_CFLAGS@
246 GI_DATADIR = @GI_DATADIR@
247 GI_LIBS = @GI_LIBS@
248 GLIB_CFLAGS = @GLIB_CFLAGS@
249 GLIB_COMPILE_RESOURCES = @GLIB_COMPILE_RESOURCES@
250 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
251 GLIB_LIBS = @GLIB_LIBS@
252 GLIB_MKENUMS = @GLIB_MKENUMS@
253 GOBJECT_QUERY = @GOBJECT_QUERY@
254 GREP = @GREP@
255 INSTALL = @INSTALL@
256 INSTALL_DATA = @INSTALL_DATA@
257 INSTALL_PROGRAM = @INSTALL_PROGRAM@
258 INSTALL_SCRIPT = @INSTALL_SCRIPT@
259 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
260 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
261 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
262 LCOV = @LCOV@
263 LD = @LD@
264 LDFLAGS = @LDFLAGS@
265 LIBFFI_PC = @LIBFFI_PC@
266 LIBOBJS = @LIBOBJS@
267 LIBS = @LIBS@
268 LIBTOOL = @LIBTOOL@
269 LIPO = @LIPO@
270 LN_S = @LN_S@
271 LTLIBOBJS = @LTLIBOBJS@
272 MAKEINFO = @MAKEINFO@
273 MANIFEST_TOOL = @MANIFEST_TOOL@
274 MKDIR_P = @MKDIR_P@
275 NM = @NM@
276 NMEDIT = @NMEDIT@
277 OBJDUMP = @OBJDUMP@
278 OBJEXT = @OBJEXT@
279 OTOOL = @OTOOL@
280 OTOOL64 = @OTOOL64@
281 PACKAGE = @PACKAGE@
282 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
283 PACKAGE_NAME = @PACKAGE_NAME@
284 PACKAGE_STRING = @PACKAGE_STRING@
285 PACKAGE_TARNAME = @PACKAGE_TARNAME@
286 PACKAGE_URL = @PACKAGE_URL@
287 PACKAGE_VERSION = @PACKAGE_VERSION@
288 PATH_SEPARATOR = @PATH_SEPARATOR@
289 PKG_CONFIG = @PKG_CONFIG@
290 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
291 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
292 PLATFORM = @PLATFORM@
293 PYCAIRO_CFLAGS = @PYCAIRO_CFLAGS@
294 PYCAIRO_LIBS = @PYCAIRO_LIBS@
295 PYGOBJECT_MAJOR_VERSION = @PYGOBJECT_MAJOR_VERSION@
296 PYGOBJECT_MICRO_VERSION = @PYGOBJECT_MICRO_VERSION@
297 PYGOBJECT_MINOR_VERSION = @PYGOBJECT_MINOR_VERSION@
298 PYTHON = @PYTHON@
299 PYTHON_BASENAME = @PYTHON_BASENAME@
300 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
301 PYTHON_INCLUDES = @PYTHON_INCLUDES@
302 PYTHON_LIBS = @PYTHON_LIBS@
303 PYTHON_LIB_LOC = @PYTHON_LIB_LOC@
304 PYTHON_PLATFORM = @PYTHON_PLATFORM@
305 PYTHON_PREFIX = @PYTHON_PREFIX@
306 PYTHON_VERSION = @PYTHON_VERSION@
307 RANLIB = @RANLIB@
308 SED = @SED@
309 SET_MAKE = @SET_MAKE@
310 SHELL = @SHELL@
311 STRIP = @STRIP@
312 THREADING_CFLAGS = @THREADING_CFLAGS@
313 VERSION = @VERSION@
314 WARN_CFLAGS = @WARN_CFLAGS@
315 abs_builddir = @abs_builddir@
316 abs_srcdir = @abs_srcdir@
317 abs_top_builddir = @abs_top_builddir@
318 abs_top_srcdir = @abs_top_srcdir@
319 ac_ct_AR = @ac_ct_AR@
320 ac_ct_CC = @ac_ct_CC@
321 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
322 am__include = @am__include@
323 am__leading_dot = @am__leading_dot@
324 am__quote = @am__quote@
325 am__tar = @am__tar@
326 am__untar = @am__untar@
327 bindir = @bindir@
328 build = @build@
329 build_alias = @build_alias@
330 build_cpu = @build_cpu@
331 build_os = @build_os@
332 build_vendor = @build_vendor@
333 builddir = @builddir@
334 datadir = @datadir@
335 datarootdir = @datarootdir@
336 docdir = @docdir@
337 dvidir = @dvidir@
338 exec_prefix = @exec_prefix@
339 host = @host@
340 host_alias = @host_alias@
341 host_cpu = @host_cpu@
342 host_os = @host_os@
343 host_vendor = @host_vendor@
344 htmldir = @htmldir@
345 includedir = @includedir@
346 infodir = @infodir@
347 install_sh = @install_sh@
348 libdir = @libdir@
349 libexecdir = @libexecdir@
350 localedir = @localedir@
351 localstatedir = @localstatedir@
352 mandir = @mandir@
353 mkdir_p = @mkdir_p@
354 oldincludedir = @oldincludedir@
355 pdfdir = @pdfdir@
356 pkgpyexecdir = @pkgpyexecdir@
357 pkgpythondir = @pkgpythondir@
358 prefix = @prefix@
359 program_transform_name = @program_transform_name@
360 psdir = @psdir@
361 pyexecdir = @pyexecdir@
362 pythondir = @pythondir@
363 sbindir = @sbindir@
364 sharedstatedir = @sharedstatedir@
365 srcdir = @srcdir@
366 sysconfdir = @sysconfdir@
367 target_alias = @target_alias@
368 top_build_prefix = @top_build_prefix@
369 top_builddir = @top_builddir@
370 top_srcdir = @top_srcdir@
371 SUBDIRS = \
372         repository \
373         overrides \
374         _glib \
375         _gobject
376
377 extension_cppflags = \
378         $(PYTHON_INCLUDES) \
379         -DPY_SSIZE_T_CLEAN
380
381 extension_ldflags = -module -avoid-version $(am__append_1)
382
383 # Windows requires Python modules to be explicitly linked to libpython.
384 # Extension modules are shared libaries (.dll), but need to be
385 # called .pyd for Python to load it as an extension module.
386 @OS_WIN32_TRUE@extension_libadd = \
387 @OS_WIN32_TRUE@ $(PYTHON_LIBS)
388
389 pygidir = $(pyexecdir)/gi
390 pygi_PYTHON = \
391         __init__.py \
392         types.py \
393         module.py \
394         importer.py \
395         pygtkcompat.py
396
397 pygi_LTLIBRARIES = _gi.la $(am__append_2)
398 _gi_la_SOURCES = \
399         pygi-repository.c \
400         pygi-repository.h \
401         pygi-info.c \
402         pygi-info.h \
403         pygi-foreign.c \
404         pygi-foreign.h \
405         pygi-struct.c \
406         pygi-struct.h \
407         pygi-source.c \
408         pygi-source.h \
409         pygi-argument.c \
410         pygi-argument.h \
411         pygi-type.c \
412         pygi-type.h \
413         pygi-boxed.c \
414         pygi-boxed.h \
415         pygi-closure.c \
416         pygi-closure.h \
417         pygi-ccallback.c \
418         pygi-ccallback.h \
419         pygi.h \
420         pygi-private.h \
421         pygi-property.c \
422         pygi-property.h \
423         pygi-signal-closure.c \
424         pygi-signal-closure.h \
425         pygobject-external.h \
426         gimodule.c \
427         pygi-invoke.c \
428         pygi-invoke.h \
429         pygi-invoke-state-struct.h \
430         pygi-cache.h \
431         pygi-cache.c \
432         pygi-marshal-from-py.c \
433         pygi-marshal-from-py.h \
434         pygi-marshal-to-py.c \
435         pygi-marshal-to-py.h \
436         pygi-marshal-cleanup.c \
437         pygi-marshal-cleanup.h
438
439 _gi_la_CFLAGS = \
440         $(GI_CFLAGS)
441
442 _gi_la_CPPFLAGS = \
443         $(extension_cppflags) \
444         -I$(top_srcdir)/gi/_glib \
445         -I$(top_srcdir)/gi/_gobject
446
447 _gi_la_LIBADD = \
448         $(extension_libadd) \
449         $(GI_LIBS) \
450         $(top_builddir)/gi/_glib/libpyglib-gi-2.0-@PYTHON_BASENAME@.la
451
452 _gi_la_LDFLAGS = \
453         $(extension_ldflags) \
454         -export-symbols-regex "init_gi|PyInit__gi"
455
456 _gi_cairo_la_SOURCES = \
457         pygi-foreign-cairo.c
458
459 _gi_cairo_la_CFLAGS = \
460         $(GI_CFLAGS) \
461         $(PYCAIRO_CFLAGS)
462
463 _gi_cairo_la_CPPFLAGS = \
464         $(extension_cppflags) \
465         -I$(top_srcdir)/gi/_glib \
466         -I$(top_srcdir)/gi/_gobject
467
468 _gi_cairo_la_LIBADD = \
469         $(extension_libadd) \
470         $(GI_LIBS) \
471         $(PYCAIRO_LIBS)
472
473 _gi_cairo_la_LDFLAGS = \
474         $(extension_ldflags) \
475         -export-symbols-regex "init_gi_cairo|PyInit__gi_cairo"
476
477 all: all-recursive
478
479 .SUFFIXES:
480 .SUFFIXES: .c .la .lo .o .obj .so
481 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
482         @for dep in $?; do \
483           case '$(am__configure_deps)' in \
484             *$$dep*) \
485               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
486                 && { if test -f $@; then exit 0; else break; fi; }; \
487               exit 1;; \
488           esac; \
489         done; \
490         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign gi/Makefile'; \
491         $(am__cd) $(top_srcdir) && \
492           $(AUTOMAKE) --foreign gi/Makefile
493 .PRECIOUS: Makefile
494 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
495         @case '$?' in \
496           *config.status*) \
497             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
498           *) \
499             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
500             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
501         esac;
502
503 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
504         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
505
506 $(top_srcdir)/configure:  $(am__configure_deps)
507         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
508 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
509         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
510 $(am__aclocal_m4_deps):
511 install-pygiLTLIBRARIES: $(pygi_LTLIBRARIES)
512         @$(NORMAL_INSTALL)
513         @list='$(pygi_LTLIBRARIES)'; test -n "$(pygidir)" || list=; \
514         list2=; for p in $$list; do \
515           if test -f $$p; then \
516             list2="$$list2 $$p"; \
517           else :; fi; \
518         done; \
519         test -z "$$list2" || { \
520           echo " $(MKDIR_P) '$(DESTDIR)$(pygidir)'"; \
521           $(MKDIR_P) "$(DESTDIR)$(pygidir)" || exit 1; \
522           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pygidir)'"; \
523           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pygidir)"; \
524         }
525
526 uninstall-pygiLTLIBRARIES:
527         @$(NORMAL_UNINSTALL)
528         @list='$(pygi_LTLIBRARIES)'; test -n "$(pygidir)" || list=; \
529         for p in $$list; do \
530           $(am__strip_dir) \
531           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pygidir)/$$f'"; \
532           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pygidir)/$$f"; \
533         done
534
535 clean-pygiLTLIBRARIES:
536         -test -z "$(pygi_LTLIBRARIES)" || rm -f $(pygi_LTLIBRARIES)
537         @list='$(pygi_LTLIBRARIES)'; for p in $$list; do \
538           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
539           test "$$dir" != "$$p" || dir=.; \
540           echo "rm -f \"$${dir}/so_locations\""; \
541           rm -f "$${dir}/so_locations"; \
542         done
543 _gi.la: $(_gi_la_OBJECTS) $(_gi_la_DEPENDENCIES) $(EXTRA__gi_la_DEPENDENCIES) 
544         $(AM_V_CCLD)$(_gi_la_LINK) -rpath $(pygidir) $(_gi_la_OBJECTS) $(_gi_la_LIBADD) $(LIBS)
545 _gi_cairo.la: $(_gi_cairo_la_OBJECTS) $(_gi_cairo_la_DEPENDENCIES) $(EXTRA__gi_cairo_la_DEPENDENCIES) 
546         $(AM_V_CCLD)$(_gi_cairo_la_LINK) $(am__gi_cairo_la_rpath) $(_gi_cairo_la_OBJECTS) $(_gi_cairo_la_LIBADD) $(LIBS)
547
548 mostlyclean-compile:
549         -rm -f *.$(OBJEXT)
550
551 distclean-compile:
552         -rm -f *.tab.c
553
554 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Plo@am__quote@
555 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-gimodule.Plo@am__quote@
556 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-argument.Plo@am__quote@
557 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-boxed.Plo@am__quote@
558 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-cache.Plo@am__quote@
559 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-ccallback.Plo@am__quote@
560 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-closure.Plo@am__quote@
561 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-foreign.Plo@am__quote@
562 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-info.Plo@am__quote@
563 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-invoke.Plo@am__quote@
564 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-marshal-cleanup.Plo@am__quote@
565 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-marshal-from-py.Plo@am__quote@
566 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-marshal-to-py.Plo@am__quote@
567 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-property.Plo@am__quote@
568 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-repository.Plo@am__quote@
569 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-signal-closure.Plo@am__quote@
570 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-source.Plo@am__quote@
571 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-struct.Plo@am__quote@
572 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-type.Plo@am__quote@
573
574 .c.o:
575 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
576 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
577 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
578 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
579 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
580
581 .c.obj:
582 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
583 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
584 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
585 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
586 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
587
588 .c.lo:
589 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
590 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
591 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
592 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
593 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
594
595 _gi_la-pygi-repository.lo: pygi-repository.c
596 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-repository.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-repository.Tpo -c -o _gi_la-pygi-repository.lo `test -f 'pygi-repository.c' || echo '$(srcdir)/'`pygi-repository.c
597 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-repository.Tpo $(DEPDIR)/_gi_la-pygi-repository.Plo
598 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-repository.c' object='_gi_la-pygi-repository.lo' libtool=yes @AMDEPBACKSLASH@
599 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
600 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-repository.lo `test -f 'pygi-repository.c' || echo '$(srcdir)/'`pygi-repository.c
601
602 _gi_la-pygi-info.lo: pygi-info.c
603 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-info.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-info.Tpo -c -o _gi_la-pygi-info.lo `test -f 'pygi-info.c' || echo '$(srcdir)/'`pygi-info.c
604 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-info.Tpo $(DEPDIR)/_gi_la-pygi-info.Plo
605 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-info.c' object='_gi_la-pygi-info.lo' libtool=yes @AMDEPBACKSLASH@
606 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
607 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-info.lo `test -f 'pygi-info.c' || echo '$(srcdir)/'`pygi-info.c
608
609 _gi_la-pygi-foreign.lo: pygi-foreign.c
610 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-foreign.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-foreign.Tpo -c -o _gi_la-pygi-foreign.lo `test -f 'pygi-foreign.c' || echo '$(srcdir)/'`pygi-foreign.c
611 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-foreign.Tpo $(DEPDIR)/_gi_la-pygi-foreign.Plo
612 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-foreign.c' object='_gi_la-pygi-foreign.lo' libtool=yes @AMDEPBACKSLASH@
613 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
614 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-foreign.lo `test -f 'pygi-foreign.c' || echo '$(srcdir)/'`pygi-foreign.c
615
616 _gi_la-pygi-struct.lo: pygi-struct.c
617 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-struct.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-struct.Tpo -c -o _gi_la-pygi-struct.lo `test -f 'pygi-struct.c' || echo '$(srcdir)/'`pygi-struct.c
618 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-struct.Tpo $(DEPDIR)/_gi_la-pygi-struct.Plo
619 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-struct.c' object='_gi_la-pygi-struct.lo' libtool=yes @AMDEPBACKSLASH@
620 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
621 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-struct.lo `test -f 'pygi-struct.c' || echo '$(srcdir)/'`pygi-struct.c
622
623 _gi_la-pygi-source.lo: pygi-source.c
624 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-source.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-source.Tpo -c -o _gi_la-pygi-source.lo `test -f 'pygi-source.c' || echo '$(srcdir)/'`pygi-source.c
625 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-source.Tpo $(DEPDIR)/_gi_la-pygi-source.Plo
626 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-source.c' object='_gi_la-pygi-source.lo' libtool=yes @AMDEPBACKSLASH@
627 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
628 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-source.lo `test -f 'pygi-source.c' || echo '$(srcdir)/'`pygi-source.c
629
630 _gi_la-pygi-argument.lo: pygi-argument.c
631 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-argument.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-argument.Tpo -c -o _gi_la-pygi-argument.lo `test -f 'pygi-argument.c' || echo '$(srcdir)/'`pygi-argument.c
632 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-argument.Tpo $(DEPDIR)/_gi_la-pygi-argument.Plo
633 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-argument.c' object='_gi_la-pygi-argument.lo' libtool=yes @AMDEPBACKSLASH@
634 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
635 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-argument.lo `test -f 'pygi-argument.c' || echo '$(srcdir)/'`pygi-argument.c
636
637 _gi_la-pygi-type.lo: pygi-type.c
638 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-type.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-type.Tpo -c -o _gi_la-pygi-type.lo `test -f 'pygi-type.c' || echo '$(srcdir)/'`pygi-type.c
639 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-type.Tpo $(DEPDIR)/_gi_la-pygi-type.Plo
640 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-type.c' object='_gi_la-pygi-type.lo' libtool=yes @AMDEPBACKSLASH@
641 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
642 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-type.lo `test -f 'pygi-type.c' || echo '$(srcdir)/'`pygi-type.c
643
644 _gi_la-pygi-boxed.lo: pygi-boxed.c
645 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-boxed.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-boxed.Tpo -c -o _gi_la-pygi-boxed.lo `test -f 'pygi-boxed.c' || echo '$(srcdir)/'`pygi-boxed.c
646 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-boxed.Tpo $(DEPDIR)/_gi_la-pygi-boxed.Plo
647 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-boxed.c' object='_gi_la-pygi-boxed.lo' libtool=yes @AMDEPBACKSLASH@
648 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
649 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-boxed.lo `test -f 'pygi-boxed.c' || echo '$(srcdir)/'`pygi-boxed.c
650
651 _gi_la-pygi-closure.lo: pygi-closure.c
652 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-closure.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-closure.Tpo -c -o _gi_la-pygi-closure.lo `test -f 'pygi-closure.c' || echo '$(srcdir)/'`pygi-closure.c
653 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-closure.Tpo $(DEPDIR)/_gi_la-pygi-closure.Plo
654 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-closure.c' object='_gi_la-pygi-closure.lo' libtool=yes @AMDEPBACKSLASH@
655 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
656 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-closure.lo `test -f 'pygi-closure.c' || echo '$(srcdir)/'`pygi-closure.c
657
658 _gi_la-pygi-ccallback.lo: pygi-ccallback.c
659 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-ccallback.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-ccallback.Tpo -c -o _gi_la-pygi-ccallback.lo `test -f 'pygi-ccallback.c' || echo '$(srcdir)/'`pygi-ccallback.c
660 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-ccallback.Tpo $(DEPDIR)/_gi_la-pygi-ccallback.Plo
661 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-ccallback.c' object='_gi_la-pygi-ccallback.lo' libtool=yes @AMDEPBACKSLASH@
662 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
663 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-ccallback.lo `test -f 'pygi-ccallback.c' || echo '$(srcdir)/'`pygi-ccallback.c
664
665 _gi_la-pygi-property.lo: pygi-property.c
666 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-property.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-property.Tpo -c -o _gi_la-pygi-property.lo `test -f 'pygi-property.c' || echo '$(srcdir)/'`pygi-property.c
667 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-property.Tpo $(DEPDIR)/_gi_la-pygi-property.Plo
668 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-property.c' object='_gi_la-pygi-property.lo' libtool=yes @AMDEPBACKSLASH@
669 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
670 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-property.lo `test -f 'pygi-property.c' || echo '$(srcdir)/'`pygi-property.c
671
672 _gi_la-pygi-signal-closure.lo: pygi-signal-closure.c
673 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-signal-closure.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-signal-closure.Tpo -c -o _gi_la-pygi-signal-closure.lo `test -f 'pygi-signal-closure.c' || echo '$(srcdir)/'`pygi-signal-closure.c
674 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-signal-closure.Tpo $(DEPDIR)/_gi_la-pygi-signal-closure.Plo
675 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-signal-closure.c' object='_gi_la-pygi-signal-closure.lo' libtool=yes @AMDEPBACKSLASH@
676 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
677 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-signal-closure.lo `test -f 'pygi-signal-closure.c' || echo '$(srcdir)/'`pygi-signal-closure.c
678
679 _gi_la-gimodule.lo: gimodule.c
680 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-gimodule.lo -MD -MP -MF $(DEPDIR)/_gi_la-gimodule.Tpo -c -o _gi_la-gimodule.lo `test -f 'gimodule.c' || echo '$(srcdir)/'`gimodule.c
681 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-gimodule.Tpo $(DEPDIR)/_gi_la-gimodule.Plo
682 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='gimodule.c' object='_gi_la-gimodule.lo' libtool=yes @AMDEPBACKSLASH@
683 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
684 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-gimodule.lo `test -f 'gimodule.c' || echo '$(srcdir)/'`gimodule.c
685
686 _gi_la-pygi-invoke.lo: pygi-invoke.c
687 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-invoke.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-invoke.Tpo -c -o _gi_la-pygi-invoke.lo `test -f 'pygi-invoke.c' || echo '$(srcdir)/'`pygi-invoke.c
688 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-invoke.Tpo $(DEPDIR)/_gi_la-pygi-invoke.Plo
689 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-invoke.c' object='_gi_la-pygi-invoke.lo' libtool=yes @AMDEPBACKSLASH@
690 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
691 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-invoke.lo `test -f 'pygi-invoke.c' || echo '$(srcdir)/'`pygi-invoke.c
692
693 _gi_la-pygi-cache.lo: pygi-cache.c
694 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-cache.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-cache.Tpo -c -o _gi_la-pygi-cache.lo `test -f 'pygi-cache.c' || echo '$(srcdir)/'`pygi-cache.c
695 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-cache.Tpo $(DEPDIR)/_gi_la-pygi-cache.Plo
696 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-cache.c' object='_gi_la-pygi-cache.lo' libtool=yes @AMDEPBACKSLASH@
697 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
698 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-cache.lo `test -f 'pygi-cache.c' || echo '$(srcdir)/'`pygi-cache.c
699
700 _gi_la-pygi-marshal-from-py.lo: pygi-marshal-from-py.c
701 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-marshal-from-py.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-marshal-from-py.Tpo -c -o _gi_la-pygi-marshal-from-py.lo `test -f 'pygi-marshal-from-py.c' || echo '$(srcdir)/'`pygi-marshal-from-py.c
702 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-marshal-from-py.Tpo $(DEPDIR)/_gi_la-pygi-marshal-from-py.Plo
703 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-marshal-from-py.c' object='_gi_la-pygi-marshal-from-py.lo' libtool=yes @AMDEPBACKSLASH@
704 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
705 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-marshal-from-py.lo `test -f 'pygi-marshal-from-py.c' || echo '$(srcdir)/'`pygi-marshal-from-py.c
706
707 _gi_la-pygi-marshal-to-py.lo: pygi-marshal-to-py.c
708 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-marshal-to-py.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-marshal-to-py.Tpo -c -o _gi_la-pygi-marshal-to-py.lo `test -f 'pygi-marshal-to-py.c' || echo '$(srcdir)/'`pygi-marshal-to-py.c
709 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-marshal-to-py.Tpo $(DEPDIR)/_gi_la-pygi-marshal-to-py.Plo
710 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-marshal-to-py.c' object='_gi_la-pygi-marshal-to-py.lo' libtool=yes @AMDEPBACKSLASH@
711 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
712 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-marshal-to-py.lo `test -f 'pygi-marshal-to-py.c' || echo '$(srcdir)/'`pygi-marshal-to-py.c
713
714 _gi_la-pygi-marshal-cleanup.lo: pygi-marshal-cleanup.c
715 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-marshal-cleanup.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-marshal-cleanup.Tpo -c -o _gi_la-pygi-marshal-cleanup.lo `test -f 'pygi-marshal-cleanup.c' || echo '$(srcdir)/'`pygi-marshal-cleanup.c
716 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-marshal-cleanup.Tpo $(DEPDIR)/_gi_la-pygi-marshal-cleanup.Plo
717 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-marshal-cleanup.c' object='_gi_la-pygi-marshal-cleanup.lo' libtool=yes @AMDEPBACKSLASH@
718 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
719 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-marshal-cleanup.lo `test -f 'pygi-marshal-cleanup.c' || echo '$(srcdir)/'`pygi-marshal-cleanup.c
720
721 _gi_cairo_la-pygi-foreign-cairo.lo: pygi-foreign-cairo.c
722 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_cairo_la_CPPFLAGS) $(CPPFLAGS) $(_gi_cairo_la_CFLAGS) $(CFLAGS) -MT _gi_cairo_la-pygi-foreign-cairo.lo -MD -MP -MF $(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Tpo -c -o _gi_cairo_la-pygi-foreign-cairo.lo `test -f 'pygi-foreign-cairo.c' || echo '$(srcdir)/'`pygi-foreign-cairo.c
723 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Tpo $(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Plo
724 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-foreign-cairo.c' object='_gi_cairo_la-pygi-foreign-cairo.lo' libtool=yes @AMDEPBACKSLASH@
725 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
726 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_cairo_la_CPPFLAGS) $(CPPFLAGS) $(_gi_cairo_la_CFLAGS) $(CFLAGS) -c -o _gi_cairo_la-pygi-foreign-cairo.lo `test -f 'pygi-foreign-cairo.c' || echo '$(srcdir)/'`pygi-foreign-cairo.c
727
728 mostlyclean-libtool:
729         -rm -f *.lo
730
731 clean-libtool:
732         -rm -rf .libs _libs
733 install-pygiPYTHON: $(pygi_PYTHON)
734         @$(NORMAL_INSTALL)
735         @list='$(pygi_PYTHON)'; dlist=; list2=; test -n "$(pygidir)" || list=; \
736         if test -n "$$list"; then \
737           echo " $(MKDIR_P) '$(DESTDIR)$(pygidir)'"; \
738           $(MKDIR_P) "$(DESTDIR)$(pygidir)" || exit 1; \
739         fi; \
740         for p in $$list; do \
741           if test -f "$$p"; then b=; else b="$(srcdir)/"; fi; \
742           if test -f $$b$$p; then \
743             $(am__strip_dir) \
744             dlist="$$dlist $$f"; \
745             list2="$$list2 $$b$$p"; \
746           else :; fi; \
747         done; \
748         for file in $$list2; do echo $$file; done | $(am__base_list) | \
749         while read files; do \
750           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pygidir)'"; \
751           $(INSTALL_DATA) $$files "$(DESTDIR)$(pygidir)" || exit $$?; \
752         done || exit $$?; \
753         if test -n "$$dlist"; then \
754           if test -z "$(DESTDIR)"; then \
755             $(am__py_compile) --basedir "$(pygidir)" $$dlist; \
756           else \
757             $(am__py_compile) --destdir "$(DESTDIR)" \
758                               --basedir "$(pygidir)" $$dlist; \
759           fi; \
760         else :; fi
761
762 uninstall-pygiPYTHON:
763         @$(NORMAL_UNINSTALL)
764         @list='$(pygi_PYTHON)'; test -n "$(pygidir)" || list=; \
765         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
766         test -n "$$files" || exit 0; \
767         dir='$(DESTDIR)$(pygidir)'; \
768         filesc=`echo "$$files" | sed 's|$$|c|'`; \
769         fileso=`echo "$$files" | sed 's|$$|o|'`; \
770         st=0; \
771         for files in "$$files" "$$filesc" "$$fileso"; do \
772           $(am__uninstall_files_from_dir) || st=$$?; \
773         done; \
774         exit $$st
775
776 # This directory's subdirectories are mostly independent; you can cd
777 # into them and run `make' without going through this Makefile.
778 # To change the values of `make' variables: instead of editing Makefiles,
779 # (1) if the variable is set in `config.status', edit `config.status'
780 #     (which will cause the Makefiles to be regenerated when you run `make');
781 # (2) otherwise, pass the desired values on the `make' command line.
782 $(RECURSIVE_TARGETS):
783         @fail= failcom='exit 1'; \
784         for f in x $$MAKEFLAGS; do \
785           case $$f in \
786             *=* | --[!k]*);; \
787             *k*) failcom='fail=yes';; \
788           esac; \
789         done; \
790         dot_seen=no; \
791         target=`echo $@ | sed s/-recursive//`; \
792         list='$(SUBDIRS)'; for subdir in $$list; do \
793           echo "Making $$target in $$subdir"; \
794           if test "$$subdir" = "."; then \
795             dot_seen=yes; \
796             local_target="$$target-am"; \
797           else \
798             local_target="$$target"; \
799           fi; \
800           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
801           || eval $$failcom; \
802         done; \
803         if test "$$dot_seen" = "no"; then \
804           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
805         fi; test -z "$$fail"
806
807 $(RECURSIVE_CLEAN_TARGETS):
808         @fail= failcom='exit 1'; \
809         for f in x $$MAKEFLAGS; do \
810           case $$f in \
811             *=* | --[!k]*);; \
812             *k*) failcom='fail=yes';; \
813           esac; \
814         done; \
815         dot_seen=no; \
816         case "$@" in \
817           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
818           *) list='$(SUBDIRS)' ;; \
819         esac; \
820         rev=''; for subdir in $$list; do \
821           if test "$$subdir" = "."; then :; else \
822             rev="$$subdir $$rev"; \
823           fi; \
824         done; \
825         rev="$$rev ."; \
826         target=`echo $@ | sed s/-recursive//`; \
827         for subdir in $$rev; do \
828           echo "Making $$target in $$subdir"; \
829           if test "$$subdir" = "."; then \
830             local_target="$$target-am"; \
831           else \
832             local_target="$$target"; \
833           fi; \
834           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
835           || eval $$failcom; \
836         done && test -z "$$fail"
837 tags-recursive:
838         list='$(SUBDIRS)'; for subdir in $$list; do \
839           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
840         done
841 ctags-recursive:
842         list='$(SUBDIRS)'; for subdir in $$list; do \
843           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
844         done
845
846 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
847         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
848         unique=`for i in $$list; do \
849             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
850           done | \
851           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
852               END { if (nonempty) { for (i in files) print i; }; }'`; \
853         mkid -fID $$unique
854 tags: TAGS
855
856 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
857                 $(TAGS_FILES) $(LISP)
858         set x; \
859         here=`pwd`; \
860         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
861           include_option=--etags-include; \
862           empty_fix=.; \
863         else \
864           include_option=--include; \
865           empty_fix=; \
866         fi; \
867         list='$(SUBDIRS)'; for subdir in $$list; do \
868           if test "$$subdir" = .; then :; else \
869             test ! -f $$subdir/TAGS || \
870               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
871           fi; \
872         done; \
873         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
874         unique=`for i in $$list; do \
875             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
876           done | \
877           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
878               END { if (nonempty) { for (i in files) print i; }; }'`; \
879         shift; \
880         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
881           test -n "$$unique" || unique=$$empty_fix; \
882           if test $$# -gt 0; then \
883             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
884               "$$@" $$unique; \
885           else \
886             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
887               $$unique; \
888           fi; \
889         fi
890 ctags: CTAGS
891 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
892                 $(TAGS_FILES) $(LISP)
893         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
894         unique=`for i in $$list; do \
895             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
896           done | \
897           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
898               END { if (nonempty) { for (i in files) print i; }; }'`; \
899         test -z "$(CTAGS_ARGS)$$unique" \
900           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
901              $$unique
902
903 GTAGS:
904         here=`$(am__cd) $(top_builddir) && pwd` \
905           && $(am__cd) $(top_srcdir) \
906           && gtags -i $(GTAGS_ARGS) "$$here"
907
908 distclean-tags:
909         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
910
911 distdir: $(DISTFILES)
912         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
913         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
914         list='$(DISTFILES)'; \
915           dist_files=`for file in $$list; do echo $$file; done | \
916           sed -e "s|^$$srcdirstrip/||;t" \
917               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
918         case $$dist_files in \
919           */*) $(MKDIR_P) `echo "$$dist_files" | \
920                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
921                            sort -u` ;; \
922         esac; \
923         for file in $$dist_files; do \
924           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
925           if test -d $$d/$$file; then \
926             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
927             if test -d "$(distdir)/$$file"; then \
928               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
929             fi; \
930             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
931               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
932               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
933             fi; \
934             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
935           else \
936             test -f "$(distdir)/$$file" \
937             || cp -p $$d/$$file "$(distdir)/$$file" \
938             || exit 1; \
939           fi; \
940         done
941         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
942           if test "$$subdir" = .; then :; else \
943             $(am__make_dryrun) \
944               || test -d "$(distdir)/$$subdir" \
945               || $(MKDIR_P) "$(distdir)/$$subdir" \
946               || exit 1; \
947             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
948             $(am__relativize); \
949             new_distdir=$$reldir; \
950             dir1=$$subdir; dir2="$(top_distdir)"; \
951             $(am__relativize); \
952             new_top_distdir=$$reldir; \
953             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
954             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
955             ($(am__cd) $$subdir && \
956               $(MAKE) $(AM_MAKEFLAGS) \
957                 top_distdir="$$new_top_distdir" \
958                 distdir="$$new_distdir" \
959                 am__remove_distdir=: \
960                 am__skip_length_check=: \
961                 am__skip_mode_fix=: \
962                 distdir) \
963               || exit 1; \
964           fi; \
965         done
966 check-am: all-am
967         $(MAKE) $(AM_MAKEFLAGS) check-local
968 check: check-recursive
969 all-am: Makefile $(LTLIBRARIES) all-local
970 installdirs: installdirs-recursive
971 installdirs-am:
972         for dir in "$(DESTDIR)$(pygidir)" "$(DESTDIR)$(pygidir)"; do \
973           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
974         done
975 install: install-recursive
976 install-exec: install-exec-recursive
977 install-data: install-data-recursive
978 uninstall: uninstall-recursive
979
980 install-am: all-am
981         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
982
983 installcheck: installcheck-recursive
984 install-strip:
985         if test -z '$(STRIP)'; then \
986           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
987             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
988               install; \
989         else \
990           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
991             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
992             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
993         fi
994 mostlyclean-generic:
995
996 clean-generic:
997
998 distclean-generic:
999         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1000         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1001
1002 maintainer-clean-generic:
1003         @echo "This command is intended for maintainers to use"
1004         @echo "it deletes files that may require special tools to rebuild."
1005 clean: clean-recursive
1006
1007 clean-am: clean-generic clean-libtool clean-local \
1008         clean-pygiLTLIBRARIES mostlyclean-am
1009
1010 distclean: distclean-recursive
1011         -rm -rf ./$(DEPDIR)
1012         -rm -f Makefile
1013 distclean-am: clean-am distclean-compile distclean-generic \
1014         distclean-tags
1015
1016 dvi: dvi-recursive
1017
1018 dvi-am:
1019
1020 html: html-recursive
1021
1022 html-am:
1023
1024 info: info-recursive
1025
1026 info-am:
1027
1028 install-data-am: install-pygiLTLIBRARIES install-pygiPYTHON
1029
1030 install-dvi: install-dvi-recursive
1031
1032 install-dvi-am:
1033
1034 install-exec-am:
1035
1036 install-html: install-html-recursive
1037
1038 install-html-am:
1039
1040 install-info: install-info-recursive
1041
1042 install-info-am:
1043
1044 install-man:
1045
1046 install-pdf: install-pdf-recursive
1047
1048 install-pdf-am:
1049
1050 install-ps: install-ps-recursive
1051
1052 install-ps-am:
1053
1054 installcheck-am:
1055
1056 maintainer-clean: maintainer-clean-recursive
1057         -rm -rf ./$(DEPDIR)
1058         -rm -f Makefile
1059 maintainer-clean-am: distclean-am maintainer-clean-generic
1060
1061 mostlyclean: mostlyclean-recursive
1062
1063 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1064         mostlyclean-libtool
1065
1066 pdf: pdf-recursive
1067
1068 pdf-am:
1069
1070 ps: ps-recursive
1071
1072 ps-am:
1073
1074 uninstall-am: uninstall-pygiLTLIBRARIES uninstall-pygiPYTHON
1075
1076 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) check-am \
1077         ctags-recursive install-am install-strip tags-recursive
1078
1079 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
1080         all all-am all-local check check-am check-local clean \
1081         clean-generic clean-libtool clean-local clean-pygiLTLIBRARIES \
1082         ctags ctags-recursive distclean distclean-compile \
1083         distclean-generic distclean-libtool distclean-tags distdir dvi \
1084         dvi-am html html-am info info-am install install-am \
1085         install-data install-data-am install-dvi install-dvi-am \
1086         install-exec install-exec-am install-html install-html-am \
1087         install-info install-info-am install-man install-pdf \
1088         install-pdf-am install-ps install-ps-am \
1089         install-pygiLTLIBRARIES install-pygiPYTHON install-strip \
1090         installcheck installcheck-am installdirs installdirs-am \
1091         maintainer-clean maintainer-clean-generic mostlyclean \
1092         mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1093         pdf pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
1094         uninstall-pygiLTLIBRARIES uninstall-pygiPYTHON
1095
1096
1097 # This is to ensure we have a symlink to the .so in the
1098 # build directory, which the Python interpreter can load
1099 # directly without having to know how to parse .la files.
1100 .la.so:
1101         $(LN_S) -f .libs/$@ $@
1102
1103 # if we build in a separate tree, we need to symlink the *.py files from the
1104 # source tree; Python does not accept the extensions and modules in different
1105 # paths
1106 build_pylinks:
1107         for f in $(pygi_PYTHON); do \
1108             [ -e $(builddir)/$$f ] || $(LN_S) $(srcdir)/$$f $(builddir)/$$f; \
1109         done
1110
1111 all-local: $(LTLIBRARIES:.la=.so) build_pylinks
1112
1113 check-local: $(LTLIBRARIES:.la=.so) build_pylinks
1114 clean-local:
1115         rm -f $(LTLIBRARIES:.la=.so)
1116
1117 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1118 # Otherwise a system limit (for SysV at least) may be exceeded.
1119 .NOEXPORT: